Subject: Re: bug#74142: [rust-team] rust-bootstrap fails parallel build on x86-64

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 15 Dec 2024 00:38:52 +0900

Hi Efraim,

Efraim Flashner <[email-masked]> writes:

[...]

>> [0]  https://github.com/thepowersgang/mrustc/issues/343
>
> I followed up with Mutabah (the main author) on IRC and a bit on the bug
> tracker, and their suggestion is to use a later commit from mrustc.  I
> used the latest commit from the master branch but there I ran into
> issues on aarch64 not building correctly. From there they basically said
> that they were focused on getting 1.74 bootstrapped, and they weren't
> going to be circling back to the master branch until 1.74 was merged.
>
> I went and tried out the rust_1.74 branch which is nearing completion
> and that one built without any issues on x86_64 but failed for different
> reasons on aarch64, powerpc64le and riscv64.
>
> Someone from Gentoo was also asking around, they're interested in using
> mrustc to bootstrap rust-1.74 and continuing on from there, so it's
> likely we'll get some help going forward with architecture support.
>
> I think in the meantime while it's not ready I'll change the
> parallel-builds? flag to false for everyone, and then I'll continue
> working on getting the bootstrap to work on the other architectures.

Sounds good!  Thanks for putting some efforts into shortening the
bootstrap... it currently takes more 3 hours to achieve on a powerful
machine.

-- 
Thanks,
Maxim